swagger:
  enabled: true
pay:
  h5BaseUrl: https://dj-h5.hnsiyao.cn/me/detail/detail?allId=
  orderNotifyUrl: https://pay.hnsiyao.cn/czg/app/wuyou/notify
  extractNotifyUrl: https://pay.hnsiyao.cn/czg/app/wuyou/extractNotify

server:
  port: 8100

# 数据源的一些配置
driver-class-name: com.mysql.cj.jdbc.Driver
# 最小空闲连接，默认值10，小于0或大于maximum-pool-size，都会重置为maximum-pool-size
minimum-idle: 5
# 最大连接数，小于等于0会被重置为默认值10；大于零小于1会被重置为minimum-idle的值
maximum-pool-size: 15
# 空闲连接超时时间，默认值600000（10分钟），大于等于max-lifetime且max-lifetime>0，会被重置为0；不等于0且小于10秒，会被重置为10秒。
idle-timeout: 20000
# 连接最大存活时间.不等于0且小于30秒，会被重置为默认值30分钟.设置应该比mysql设置的超时时间短
max-lifetime: 30000
# 连接超时时间:毫秒，小于250毫秒，否则被重置为默认值30秒
connection-timeout: 30000

spring:
  # sharding-jdbc 配置
  shardingsphere:
    # 显示sharding-jdbc改写的sql语句
    show-sql: false

    center-tables-data-node: duanju.%s
    # 区域表的数据源节点
    region-tables-data-node: duanju-$->{0..4}.%s
    # 区域分库策略的计算字段
    region-tables-sharding-database-column: user_id
    # 分库的计算方法
    region-tables-sharding-database-algorithm: duanju-$->{user_id % 5}

    # 短剧集表 拆分
    course_details-sharding-database-column: course_id
    course_details-sharding-database-algorithm: duanju-$->{course_id % 5}
    # 数据源名称
    datasource:
      duanju:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://rm-gc7xx913734hv5w5q.mysql.cn-chengdu.rds.aliyuncs.com/duanju?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: video_user
        password: VideoUser@1
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      # 数据源配置begin
      duanju-0:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://rm-gc7xx913734hv5w5q.mysql.cn-chengdu.rds.aliyuncs.com/duanju-0?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: video_user
        password: VideoUser@1
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-1:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://rm-gc7xx913734hv5w5q.mysql.cn-chengdu.rds.aliyuncs.com/duanju-1?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: video_user
        password: VideoUser@1
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-2:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://rm-gc7xx913734hv5w5q.mysql.cn-chengdu.rds.aliyuncs.com/duanju-2?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: video_user
        password: VideoUser@1
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-3:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://rm-gc7xx913734hv5w5q.mysql.cn-chengdu.rds.aliyuncs.com/duanju-3?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: video_user
        password: VideoUser@1
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-4:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://rm-gc7xx913734hv5w5q.mysql.cn-chengdu.rds.aliyuncs.com/duanju-4?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: video_user
        password: VideoUser@1
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}

      duanju-slave:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.8:3306/duanju?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave-0:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.8:3306/duanju-0?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave-1:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.8:3306/duanju-1?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave-2:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.8:3306/duanju-2?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave-3:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.8:3306/duanju-3?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave-4:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.8:3306/duanju-4?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}

      duanju-slave2:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.9:3306/duanju?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave2-0:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.9:3306/duanju-0?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave2-1:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.9:3306/duanju-1?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave2-2:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.9:3306/duanju-2?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave2-3:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.9:3306/duanju-3?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      duanju-slave2-4:
        driver-class-name: ${driver-class-name}
        jdbc-url: jdbc:mysql://172.18.96.9:3306/duanju-4?useUnicode=true&characterEncoding=utf-8&useSSL=false&serverTimezone=CTT
        username: root
        password: VideoUser1@
        minimum-idle: ${minimum-idle}
        maximum-pool-size: ${maximum-pool-size}
        idle-timeout: ${idle-timeout}
        max-lifetime: ${max-lifetime}
        connection-timeout: ${connection-timeout}
      # 数据源配置end

    # 读写分离配置begin
    master-slave-rules:
      #数据源
      duanju:
        masterDataSourceName: duanju
        slaveDataSourceNames:
          #                    - duanju
          - duanju-slave
          - duanju-slave2
      duanju-0:
        masterDataSourceName: duanju-0
        slaveDataSourceNames:
          #                    - duanju-0
          - duanju-slave-0
          - duanju-slave2-0
      duanju-1:
        masterDataSourceName: duanju-1
        slaveDataSourceNames:
          #                    - duanju-1
          - duanju-slave-1
          - duanju-slave2-1
      duanju-2:
        masterDataSourceName: duanju-2
        slaveDataSourceNames:
          #                    - duanju-2
          - duanju-slave-2
          - duanju-slave2-2
      duanju-3:
        masterDataSourceName: duanju-3
        slaveDataSourceNames:
          #                    - duanju-3
          - duanju-slave-3
          - duanju-slave2-3
      duanju-4:
        masterDataSourceName: duanju-4
        slaveDataSourceNames:
          #                    - duanju-4
          - duanju-slave-4
          - duanju-slave2-4
